About Efficient Diary

Efficient Diary is a completely free while still beautiful, easy-to-use and powerful electronic diary software package. With its unique and powerful flash full-text search technique, you can simply enter a word in the diary to quickly find the corresponding entries! The product has a strong edit function similar to that of Microsoft Word. You can insert various items such as tables, pictures, emotions, URLs or even attachments. You can set the background color, background picture of each diary entry separately so your diary can be rich and colorful. The login password is encrypted by the irreversible algorithm of SHA; besides, the content of the file itself is encrypted so that your private information is fully protected. Except for managing diary entries by date, you can also manage it by hierarchical grouping. There is a Recycle Bin in the software so you do not need to worry that you may delete a diary entry by mistake. It also provides various unique features such as you can specify a weather icon and an emotion icon for each diary entry, can specify importance for diary entries, and can copy and paste diary entries, etc. Time marches on, while with Efficient Diary, we can record our perceptions and experiences along the way. Spend some time with Efficient Diary each day - looking into today's feelings, recalling the memories of the past, and expecting the happiness in the future. A happy life can't be without Efficient Diary!

Special recommendation: EfficientPIM

EfficientPIM includes all features Efficient Diary has. It's a contact manager, time manager, task and event manager, perpetual calendar, diary, planner, reminder, notepad, password manager combined in one powerful application. The data you enter into Efficient Diary can be upgraded to EfficientPIM data (please click the Save as EfficientPIM File command in the File menu).

If you need to manage all your personal information in one package, you are suggested to use EfficientPIM. Of course, you can also use Efficient Diary at first and then upgrade to EfficientPIM at any time.

EfficientPIM Home Page: | http://www.efficientpim.com/
Download EfficientPIM: | http://www.efficientpim.com/download.htm
Copyright © 2011 Efficient Software. TOP


Acknowledgements

Many people have helped us make Efficient Diary the way it is now by providing a lot of good suggestions, helping test the software, reporting bugs, etc. Thank you very much!

Special thanks to Alex A. Denisov for the set of TBX components.

And, of course, many thanks to all users of Efficient Diary!

We would also like to thank the Efficient Diary development team for creating such a perfect product!


How to Save Information?

Overview

Since the first time you run Efficient Diary, by default, your information will be saved in the file 'MyDiary.edfx' in the 'My Documents' folder. You can also create other .edfx files.

Efficient Diary has no such concept as 'save file'. For example, if you create a new diary entry, after you enter the entry's information and click the 'Save and Close' button in the new diary entry window, the information of this entry has been saved to the currently open .edfx file. You do not need to click the 'Save' command on the 'File' menu to save the .edfx file, and there is no 'Save' command on the 'File' menu.


Import Information

The first time when you use Efficient Diary, you may hope to import existing information, produced by other software you use.

Efficient Diary now supports importing comma delimited files (usually with extension .csv or .txt). You can click the 'Import' command on the 'Tools' menu of the main window to display the Import window.
Most programs of this type can export to comma delimited files, and Efficient Diary is certainly not an exception.

You can also import RTF files or text files into diary.


Common Operations

Get Help

You can press the F1 key at any time in the main window to display context-sensitive help information.

New Information

You can click the 'New Diary Entry' button to add diary entry at any time.
'Ctrl+N' is the shortcut key for New commands. You can use this shortcut key to display the window where a new diary entry is to be created.

Cut, Copy and Paste

The software supports clipboard operations such as cut, copy and paste on the information entries. In the 'Diary' function module, for example, when you select an entry in the diary entry list, if it is not being edited, you can press Ctrl+X or Ctrl+C to cut or copy this entry.
Note: If there is a flashing cursor in the shape of '|' in the current window, it means the entry is being edited.

Minimize the Main Window

By default, when the main window is minimized, Efficient Diary will not be displayed in the taskbar on the desktop, but only as an Efficient Diary icon in the system tray. You can left-click the icon to display the main window again, or right-click the icon to display the popup menu.
If you still hope to display Efficient Diary on the taskbar even after it is minimized, please click 'Options' on the 'Tools' menu for the corresponding setting.
Tip: The taskbar is usually at the bottom of the screen; the system tray, where Windows displays the current time, is usually at the bottom right of the screen.

Set Password

If you hope to change the password of your file, please click 'Password' on the 'File' menu.


Common Options

You can click 'Options' on the 'Tools' menu to display the Options window.

Some commonly used options:

  1. Set which interface to display automatically when the software starts.
  2. Set whether to run Efficient Diary automatically at Windows startup.
  3. Set the default fonts for diary entries.
  4. Please check the Options window for more information.


Information Grouping

All information in Efficient Diary can be managed in groups.

In the case of Diary, you may hope to create groups of "Group A' or 'Group B'.
By default, a diary entry belongs to only one group, but you may also set one entry to belong to multiple groups.

The 'Other Diary Entries' group is the default group set by the software. You cannot delete or rename it. If a diary entry does not belong to any custom group, it belongs to the 'Other Diary Entries' group.

You are allowed to create subgroups. For example, you can create two subgroups, 'Group A-1' and 'Group A-2', within the 'Group A' group. However, you cannot create subgroups in the 'Other Diary Entries' group.


New Information

You can press 'Ctrl+N' in the main window to display the new information window.
Here are some common functions and operations in the new information windows.

Shortcut Keys

You can press 'Ctrl+S' in a new information window to save the current information and close the new information window, or press 'Ctrl+N' to save the current information and continue to add a new entry; if you press 'Shift+Ctrl+S', the current information will be saved, but the window will not be closed.

Importance

You can assign importance to diary entries.

Previous Record and Next Record

If the main window is displaying an information list, you can click a navigation button such as 'Next' to view each entry in the list in turn.
Tip: If you click 'Next', the entry to display is not the one next to the currently edited entry, but the one next to the currently selected entry in the information list in the main window.

Attachments and File Links

An attachment is a copy of the current content of an existing file duplicated into Efficient Diary, while a file link is only the record of the location of a file on the disk.
If the source file on the disk is modified, when you view an attachment file of the type 'File Link', you will see the latest information; on the other hand, if the type of the attachment is 'Attachment', you will see the information at the very time when it was attached.

Tip: File links can improve efficiency and performance. However, if your information is saved in a USB drive, or is to be shared among computers, you'd better use attachments.


Information Display List

You may often see an information display list in Efficient Diary's main window. Some commonly used operations of the information display lists are introduced below.

Common Operations

When you double-click an entry, the edit information window displays. If you double-click some blank space in the information display list, the window to add a new entry of this type of information will display.
You may select to display all information, or only a specific group of information at the left of the window.
When you click the 'Customize Current View' button, you can configure the options such as the columns to display, the order of the columns and how they are sorted.

Details and Diary Entry Content

The details and diary entry content of the currently selected entry may be displayed below the information list (if they do not show up, you can click the 'View' menu to make the corresponding settings).
As the number of fields to be displayed in the list horizontally is limited, you are allowed to view more information (e.g. information of all fields) of the selected entry in the Details area.
The Diary Entry Content area can not only show the diary entry content of the currently selected entry, but also the attachment(s).

Table View and Card View

Based on your preference, you can browse and manage data either in table view or card view.

Sorting

When you click a column in the list header, you can sort the corresponding column in the list ascending or descending. If you hold down Ctrl while clicking column headers, you can set the list to be sorted by multiple columns.
If you want to cancel sorting (so the information entries will be displayed in the order they were entered), please click 'Remove Sorting' after clicking 'View' -> 'Sort By'.

Column Display Order

You can drag a column in the list header to adjust the display order of this column in the list quickly.


Delete Information

The function of 'Recycle Bin' is provided by the software. Information deleted is first sent to the 'Recycle Bin'.
If you find you deleted some information by mistake, you can click 'Recycle Bin' on the 'Go' menu to show the Recycle Bin window, where you can right-click an entry and then click the 'Undelete' command on the popup menu.
To empty all deleted information, please click the 'Empty Recycle Bin' command on the 'Tools' menu.


Find Information

The software provides 'Search' function which allows you to find diary entries. You can click the 'Search' button on the toolbar to go to the Search window.


Add Attachments

An attachment is a copy of the current content of an existing file duplicated into Efficient Diary, while a file link is only the record of the location of a file on the disk.
If the source file on the disk is modified, when you view an attachment file of the type 'File Link', you will see the latest information; on the other hand, if the type of the attachment is 'Attachment', you will see the information at the very time when it was attached.

Tip: File links can improve efficiency and performance. However, if your information is saved in a USB drive, or is to be shared among computers, you'd better use attachments.


Configure Software to Meet Your Individual Needs

Efficient Diary has fully taken into account the habits and preferences of different users from different countries and regions.

  1. You can click 'View' -> 'Interface Style' to switch between different interface styles. Interface styles in colors such as blue, purple or green are available for you to choose from.
  2. You can click 'Tools' -> 'Language' to switch between UI languages in English and other languages in real time.
  3. You can click the 'Customize Current View' button in the navigation panel at the left of the window at any time to configure the display of the current view.
  4. You can configure: how Efficient Diary is minimized; clicking the 'Close' button on the main window will close the program or minimize it; do you need to enter the password when the program is restored from the minimized state; and other options. You can click 'Options' on the 'Tools' menu to complete this operation.
  5. You can customize the fonts for record lists, the default fonts for diary entries, and the fonts for other display items. You can click 'Options' on the 'Tools' menu to complete this operation.


Main Menu

File

New
Create a new Efficient Diary file. At Efficient Diary's first run, it creates a file 'MyDiary.edfx' in the 'My Documents' folder. By default, all your information will be saved in this file. If you hope to manage your diaries in different files, you can also create other Efficient Diary file(s).

Open
Open an existing Efficient Diary file.

Connect to Server
Only users who have purchased a Network Edition license can use this feature. Please refer to Connect to Server.

Save As
Save the currently open file into another folder, or into another file name.

Password
Set the password to open the current Efficient Diary file.
Tip: Password is case-sensitive.

Users
Only users who have purchased a Network Edition license can use this feature. Please refer to User Management.

Backup
Back up the currently open file.
Efficient Diary's default backup folder is 'My Documents\EfficientPIM Backup'. To migrate Efficient Diary's data to another computer, you can back up the data to a USB drive.
The extension of Efficient Diary's backup file is .edfxbak.

Restore
Restore data from a backup .edfxbak file to the open file.
Tip: Restored data will overwrite the existing data in your currently open file.

Print Preview and Print
If some content in diary receives the focus, the relevant data will be printed; otherwise, all data in the current information list view will be printed.

Edit

Common commands in the Edit menu include Cut, Copy and Paste, as well as the commands, such as (open to) Edit, Delete and Copy to Group that operate on the entries selected in the current information list.
All the 'selected records' or 'selected entries' mentioned below mean records or entries currently selected in the current information list.

Cut, Copy and Paste
The software supports clipboard operations such as cut, copy and paste on the information records. In the 'Diary' function module, for example, when you select a diary entry in the diary entry list, if it is not being edited, you can press Ctrl+X or Ctrl+C to cut or copy this diary entry.
Note: If there is a flashing cursor in the shape of '|' in the current window, it means the diary entry is being edited.

Edit
Open a new window in which to edit the selected entry.

Delete
Delete the selected entry. Deleted information will be sent to the 'Recycle Bin'.

Owning Groups
View or set the groups the selected entry belonging to.

Copy to Group
Copy the selected entry to another group.

View

Toolbar
Show or hide the toolbar.

Status Bar
Show or hide the status bar.

Show Records in Subgroups
Click the name of a group on the navigation panel at left, and the records belonging to that group will be displayed in the list on the right. If you select 'Show Records in Subgroups', all records in this group as well as in any of its subgroups will be displayed.

Show Fields
Configure which fields will be shown or hidden in the current information display list.

Table View and Card View
Display diary entry list in Table view or Card view.

Sort By
Configure the current information display list to be sorted by which columns, and ascending or descending. You can also clear sorting (and display records in the order they were entered).

Details
Configure whether to show the details of the currently selected record below the list.

Comment
Configure whether to show the comment of the currently selected record below the list. The attachment(s) of the current record will also be shown here.

Refresh
Refresh the current view. This feature is available only when you connect to the server. When connecting to the server, as multiple users are operating data at the same time, you may need to refresh the current view in order to view the most recent data entered or changed by other users.

Interface Style
8 interface styles are available for you to choose from.

Go

Go to a corresponding function module.

Tools

Search
Search information records by various criteria.

Import
Import the contents from a comma delimited file to the Efficient Diary file.

Export
Export data from the Efficient Diary file to a comma delimited file or an HTML file.

Empty Recycle Bin
Empty all contents in the Recycle Bin.
Tip: Please be careful during your operation. If you delete a record by mistake, you can restore it from within the Recycle Bin. However, if you empty the Recycle Bin, all the deleted entries will be gone forever, and cannot be restored any more.

Options
It displays the Options window. You are suggested to browse through this window to learn what custom configurations you are allowed to make by Efficient Diary.

Language
Switch between different user interface languages. At the first startup of Efficient Diary, it chooses the language that best matches your operating system. You can also switch between languages manually.

Actions

New
Open the window to create new information.

New Group
Add a new group.

Add Attachment
Add an attachment to the currently selected entry.

Add File Link
Add a file link to the currently selected entry.

Help

Help
Display help on the current function module.

Tip of the Day
Display the Tip of the Day window.

Check for Updates
Check whether there is a new upgrade or update.


Toolbar

The toolbar displays common operation command buttons.

Please read Main Menu.


Navigation Panel

The navigation panel at the left of the main window allows you to quickly switch between different function modules of the software.


Diary

Go to the Diary Function Module

You can go to the Diary function module by clicking the 'Diary' command on the 'Go' menu, or by clicking the 'Diary' button on the navigation panel in the main window.

Navigation Panel

Diary entries can be managed by group. You can click 'New Group' on the 'Actions' menu to create a new diary entry group. 'Other Diary Entries' is the default group in Efficient Diary. If a diary entry does not belong to any custom group, it will belong to the 'Other Diary Entries'' group. You can not delete or rename the 'Other Diary Entries'' group, or add a subgroup for it.
If you click the name of a group, diary entries belonging to this group appear in the diary entry list on the right.
When you right-click the name of a group on the group list, you can rename or delete this group.
Drag and drop is supported when you manage groups. You can drag 'Group A' to 'Group B' to make it a subgroup of 'Group B'; and you can also drag 'Group A' to 'All Diary Entries' or 'Other Diary Entries' to make it a normal group (i.e. a group that is not a subgroup of any other group).

Diary Entry Display List

You can click the 'Date View' or 'Group View' button on the toolbar to switch between display modes.

The diary entry display list is on the right side of the main window. When you right-click the list, a popup menu appears. You can double-click a diary entry to open it in the edit diary entry window. If you double-click some blank space in the list, the window to add a new diary entry will display.
If you press 'Ctrl+N', the window to add a new diary entry will appear; when you press 'Ctrl+O', the window to edit the currently selected entry will appear; and when you press 'Ctrl+D', the currently selected entry will be deleted and moved to the Recycle Bin.

By default, when a new entry is created, it is for today. To create an entry for a previous day, please click 'New Diary Entry for a Previous Day' on the 'Actions' menu.
If you want to import an RTF file or text file into the diary, please click 'Import New Diary Entry from File' on the 'Actions' menu.
If you want to export the content of the currently selected entry to an RTF file or text file, please click 'Export Diary Entry to File' on the 'Actions' menu.

You can manage the grouping of diary entries by drag and drop. You can drag a diary entry in the list directly into a group in the navigation panel on the left.

Add New Diary Entry and Edit Diary Entry

The window to add a new diary entry and to edit a diary entry is the same.

You can also specify a weather icon and an emotion icon for each diary entry.
If you want to move an entry to another date, please click the 'Move To' button on the toolbar in the edit diary window.
When you click the 'New Diary Entry' on the 'File' menu in the edit diary window, you can create a new diary entry for today. If you want to create a new entry for a previous day, please click 'New Diary Entry for a Previous Day' on the 'Files' menu. If you are in the main window, these two commands are on the 'Actions' menu.

When you are writing a diary entry, you can press 'Shift+Ctrl+S' at any time to save this entry without closing the edit window. You can press 'Ctrl+S' to save the content of the open entry and close the edit window.


Search

Overview

The software allows you to search for existing records by text content. It also supports searching records by group or time (e.g. creation time and last modification time).
You can click the 'Search' button on the toolbar to go to the Search function module.

Simple Search

Generally, you only need to enter the text to search in the search content text box and press Enter. For example, you can enter part of the title or content in this box to search.

Advanced Search

You can specify in detail to search text in what field(s), can specify whether the target content should contain, start with or be fully equal to the search text, and can search entries based on their creation time or last modification time.


Recycle Bin

Overview

Information removed is first sent to the 'Recycle Bin'. If you find some records were deleted by mistake, or you hope to undelete some records, you can restore them from the Recycle Bin.
You can empty the Recycle Bin periodically to improve the performance of the software.
You can go to the Recycle Bin function module by clicking the 'Recycle Bin' command on the 'Go' menu, or by clicking the 'Recycle Bin' button on the navigation panel in the main window.

Navigation Panel

Deleted data is grouped by type in the navigation panel. If you want to empty deleted information of a specific type, such as to empty all 'Deleted Diary Entries', please right-click the 'Deleted Diary Entries' group.
If you want to clear all data in the Recycle Bin, please click 'Empty Recycle Bin' on the 'Tools' menu.

Information Display List

The list of deleted entries is displayed on the right of the main window. If you hope to quickly restore an entry or completely delete the entry, please right-click this entry and click the corresponding command on the popup menu.


Connect to Server

Connect to Server

If your organization (such as a business or your family) needs to share data among different users, you can use Efficient Diary Network Edition.
To use the Network Edition, please go through the following steps.

Server

Download and install Efficient Diary's server software (EfficientDiaryServer-Setup.exe) on the server computer. Efficient Diary uses Firebird, a world leading open source database, as its database, so you do not need to pay any cost for the database server. The installation program will guide you through the installation of the Firebird database and Efficient Diary on your server computer.
After this is complete, go through the following steps on the server computer:

  1. First, make sure Firebird Server has been running. You can run 'Task Manager' to check the process 'fbserver.exe'. If the process is not there, click 'Start > All Programs > Firebird > Firebird Server'.
  2. Start Efficient Diary. You can click the menu command 'File > New' to create a new data file, or alternatively, copy a data file already in use from another computer to the server computer, and then click 'File > Open' to open the file.
  3. If a password has been set for the data file, click 'File > Password', and make sure to check the 'It may be accessed simultaneously by multiple users' option, then click OK. If you have not set a password, or do not see this option in the password settings interface, you can skip this step.
  4. Please remember the full path of the data file in the server computer (such as 'C:\Documents and Settings\your user name\My Documents\MyDiary.edfx'). After the above operation is complete, click the command 'File > Close'.
  5. Click the 'Connect to Server' command on the interface.
  6. Fill the following information in the interface from which to connect to the server:
    1. Server: localhost (or server's host name)
    2. Data file: the full path and file name of the data file on the server computer
    3. Username: SYSDBA (default system administrator)
    4. Password: masterkey (default system administrator password)
  7. After clicking 'OK', you can connect to this data file.
  8. In order for other users to connect to the server as well, you can click 'File > User Management' and set username and password for each user. Please refer to User Management.

Client

Download and install Efficient Diary (EfficientDiaryPro-Setup.exe) on each client computer that needs to access shared data.
After installation is complete, go through the following steps on the client computer:

  1. Start Efficient Diary and click the command 'File > Connect to Server'.
  2. Fill the following information in the interface:
    1. Server: the server's IP address (it can be the server's host name if in the same LAN)
    2. Data file: the full path and file name of the data file on the server computer
    3. Username: the user name that the administrator has set for you
    4. Password: the password that the administrator has set for you
  3. Now you can connect to the data file on the server and share data with other users.

If You Have a Firewall

If you have set up a firewall, note that:

  1. Set the firewall on the server to allow 'fbserver.exe' to access network.
  2. Set the firewall on the client to allow 'EfficientDiaryPro.exe' to access network.


User Management

User Management

Only administrators can manage users. (The default administrator username and password are 'SYSDBA' and 'masterkey'.) Click 'File > User Management' to enter the user management interface.

There are two types of users: super users and standard users. Super users have relatively more privileges than standard users. Super users can view all data (including data set as 'private' by other users) and can manage the label categories of events and tasks.

When a user enters a data record, it is set as 'Public' by default. The user can select 'Private' in the record editing interface, so other standard users will not be able to see this record. However, super users still have access to it.

If you want to management your private data exclusively and do not share it with others in the organization, you can create a local data file for this purpose.


Network Edition License

Network Edition License

Network Edition is licensed by the number of clients that MAY connect to the server. For example, if there are 10 computers in your organization that may need to connect to the server, you will need to buy 10 Network Edition licenses. Note, if your server will be used as a client simultaneously, you need to buy a separate license for it.

As the database used by the software is Firebird, an open source database, you do not need to pay any cost for it.


Import

If you want to import an RTF file or text file into the diary, please click 'Import New Diary Entry from File' on the 'Actions' menu.


Export

If you want to export the content of the currently selected entry to an RTF file or text file, please click 'Export Diary Entry to File' on the 'Actions' menu.


License

Efficient Diary

SOFTWARE LICENSE AGREEMENT

This user license agreement (the "AGREEMENT") is an agreement between you (individual or single entity) and Efficient Software (belong to the author), for the Efficient Diary (the "SOFTWARE") that is accompanying this AGREEMENT.

The SOFTWARE is the property of Efficient Software and is protected by copyright laws and international copyright treaties.

DISTRIBUTION:

You are hereby licensed to make as many copies of the SOFTWARE as you wish and distribute it to anyone provided that all files are intact. You must distribute the install form of the SOFTWARE (not the files resulting of an installation). You are not allowed to sell the SOFTWARE. Computer's Magazines are authorized to distribute it on any Cover Disk or CD-ROM without any permission.

WARRANTY DISCLAIMER

The SOFTWARE is supplied "AS IS". Efficient Software disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The user must assume the entire risk of using the SOFTWARE.

DISCLAIMER OF DAMAGES

Efficient Software assumes no liability for damages, direct or consequential, which may result from the use of the SOFTWARE, even if Efficient Software has been advised of the possibility of such damages. Any liability of the seller will be limited to refund the purchase price.

Copyright 2010 Efficient Software.


Frequently Asked Questions (FAQs)

Please visit FAQ webpage in Efficient Diary website.


Contact Us

About Efficient Software

Founded in 2005, Efficient Software is a premier company offering professional personal information management software. Its goal is to create high-quality products to satisfy the needs of every person to become efficient and successful.

Efficient Software Home Page: | http://www.efficientsoftware.net/
Efficient Diary Home Page: | http://www.efficientdiary.com/
EfficientPIM Home Page: | http://www.efficientpim.com/

Contact Us

Customers' satisfaction is the best gift for us. So we welcome any question or suggestion about our products and website. Please do not hesitate to contact us. We'll try to help you as fast as possible, usually in one or two business days.

Tech support: support@efficientsoftware.net
Any suggestions, comments, technical questions and bug reports, etc.